%define upstream_name Auth_SASL
%define xmldir  /var/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null || echo %{_datadir}/pear)

Name: 		php-pear-%{upstream_name}
Version: 	1.2.0
Release:     	%mkrel 1
Summary: 	PEAR: Abstraction of various SASL mechanism responses
License: 	BSD
Group: 		Development/PHP
Source0: 	https://pear.php.net/get/Auth_SASL-%{version}.tgz
URL: 		https://pear.php.net/package/Auth_SASL
BuildRequires:	php-pear >= 1.4.7

BuildArch: noarch

%description
Provides code to generate responses to common SASL mechanisms, including:
- Digest-MD5
- Cram-MD5
- Plain
- Anonymous
- Login (Pseudo mechanism)
- SCRAM

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock



# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Auth_SASL.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Auth_SASL.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Auth_SASL
fi

%files
%{peardir}/*
%{xmldir}/Auth_SASL.xml


%changelog
* Sat Dec 23 2023 mokraemer <mokraemer> 1.2.0-1.mga10
+ Revision: 2021023
- new version 1.2.0

* Tue Mar 22 2022 umeabot <umeabot> 1.1.0-3.mga9
+ Revision: 1819078
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.0-2.mga8
+ Revision: 1507242
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.0-1.mga7
+ Revision: 1287665
- Mageia 7 Mass Rebuild

* Tue Dec 19 2017 mokraemer <mokraemer> 1.1.0-0.mga7
+ Revision: 1183316
- new version

* Fri Feb 05 2016 umeabot <umeabot> 1.0.6-6.mga6
+ Revision: 939777
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.6-5.mga5
+ Revision: 740660
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.6-4.mga5
+ Revision: 687175
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.0.6-3.mga4
+ Revision: 516559
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.0.6-2.mga3
+ Revision: 375881
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Nov 28 2011 spuhler <spuhler> 1.0.6-1.mga2
+ Revision: 173550
- upgrade to 1.0.6
  pearized spec file

* Sun Jan 16 2011 spuhler <spuhler> 1.0.4-2.mga1
+ Revision: 20357
- removed buildroot definition from .spec
  commented the if mdkversion lines
- imported package php-pear-Auth_SASL

